Subject: [multipathtcp] Multipath TCP on Mac OSX

From: Gregory Detal <[email-masked]>
Date: Wed, 7 Nov 2012 10:40:01 +0100

Hello,

We worked on a solution to allow Mac OSX users to try MPTCP. Our solution
involves a virtual machine running our Linux kernel implementation of MPTCP. By
configuring a HTTP proxy, you can use all the available interfaces on your mac
with a MPTCP-enabled server as well as perform mobility. If you are interested
and you want to try it then everything is available at
https://github.com/gdetal/mptcp-virtual. The solution relies on a single bash
script and only requires you to install VirtualBox.

It has been tested to work on Mac OSX 10.6, 10.7 and 10.8. If you are using it
and you find some issues/bugs then contact me. People are also welcome to
improve it and port it to other systems such as Windows, Freebsd or Linux.

Gregory.